<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title> TodoApp</title>
  
</head>
<body>
<div class="container">
	<div class="row">
		<div class="col-10 offset-1">
            <h2>TodoApp</h2>
            
			<table class="table-responsive">
                    <tbody id="list">
                    </tbody>
                </table>
			<form action="javascript:void(0);" method="POST" onsubmit="app.Add()"> 
			  <input type="text" id="add-name" placeholder="Add List Here">
			  <input type="submit" value="Add">
			</form>

			<div id="1" role="hidden">
			  <form action="javascript:void(0);" method="POST" id="saveEdit">
			    <input type="text" id="edit-name">
			    <input type="submit" value="Edit" /> </form>
			</div>

			

			</div>
		</div>
	</div>
</body>
<script>
        var app = new function() {
        this.el = document.getElementById('list');
        this.list = [''];
        this.Count = function(data) {
       
        var name = '';
        if (data) {
        if (data > 1) {
        name = '';
        }
        el.innerHTML = data + ' ' + name ;
        } else {
        el.innerHTML = '' + name;
        }
        };
        
        this.FetchAll = function() {
        var data = '';
        if (this.list.length > 0) {
        for (i = 0; i < this.list.length; i++) {
        data += '<tr>'; data += '<td>' + this.list[i] + '</td>';
        data += '<td><button class="btn btn-info" onclick="app.Edit(' + i + ')">Edit</button></td>';
        data += '<td><button class="btn btn-danger" onclick="app.Delete(' + i + ')">Delete</button></td>';
        data += '</tr>';
        }
        }
        this.Count(this.list.length);
        return this.el.innerHTML = data;
        };
        this.Add = function () {
        el = document.getElementById('add-name');
        // Get the value
        var list2 = el.value;
        if (list2) {
        // Add the new value
        this.list.push(list2.trim());
        // Reset input value
        el.value = '';
        // Dislay the new list
        this.FetchAll();
        }
        };
        this.Edit = function (item) {
        var el = document.getElementById('edit-name');
        // Display value in the field
        el.value = this.list[item];
        // Display fields
        document.getElementById('1').style.display = 'block';
        self = this;
        document.getElementById('saveEdit').onsubmit = function() {
        // Get value
        var list2 = el.value;
        if (list2) {
        // Edit value
        self.list.splice(item, 1, list2.trim());
        // Display the new list
        self.FetchAll();
        // Hide fields
        CloseInput();
        }
        }
        };
        this.Delete = function (item) {
        // Delete the current row
        this.list.splice(item, 1);
        // Display the new list
        this.FetchAll();
        };
        
        }
        app.FetchAll();
        function CloseInput() {
        document.getElementById('1').style.display = 'none';
        }
        </script>


</html>